httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Schaefer <joe+apa...@sunstarsys.com>
Subject Re: configure scripts broken
Date Tue, 03 Dec 2002 07:20:12 GMT
burnside@kattare.com writes:

> The configure/make scripts are broken.
> 
> If you use DSO's and you don't include the full path to 
> the mod_perl DSO file in libexec, then it refuses to 
> compile/install saying it can't find Apache__Table.
> 
> A little bit of relative-path intelligence in the next 
> version would go a long way.

[...]

I've been trying to follow the discussion, but I can't
figure out exactly what problem is being discussed.  If 
you're doing a perl build of libapreq, libapreq gets its
Makefile information from the Apache::src module.  For some 
reason, it seems a few OS vendors fail to install this 
module properly, which is why the normal thing we suggest
users do is just rebuild/install modperl themselves.  That
way they get a working Apache::src, and Apache:::Request
should build ok then.

If you've figured out some better way to handle this,
by all means please continue working on it!  If you
submit a patch, and it works ok on all platforms, it'll 
definitely go into the upcoming release of 1.1.  

Our current build/test system needs lots of work,
and any contribution will make a big difference 
to the current user community.  If you need help 
fixing something, please don't hesitate to ask.

-- 
Joe Schaefer

Mime
View raw message